For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet open orders
        • POSTCreate order
        • DELCancel all open orders
        • GETGet orders
        • POSTCreate batch of orders
        • DELCancel batch of orders by order IDs
        • GETGet order by client id
        • DELCancel open order by client order id
        • GETGet order
        • PUTModify order
        • DELCancel order
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceOrders

Get open orders

GET
https://api.testnet.paradex.trade/v1/orders
GET
/v1/orders
$curl -X GET https://api.testnet.paradex.trade/v1/orders \
>-H 'Accept: application/json' \
>-H 'Authorization: Bearer {JWT}'
1{
2 "results": [
3 {
4 "account": "0x4638e3041366aa71720be63e32e53e1223316c7f0d56f7aa617542ed1e7512x",
5 "avg_fill_price": "26000",
6 "cancel_reason": "NOT_ENOUGH_MARGIN",
7 "client_id": "x1234",
8 "created_at": 1681493746016,
9 "flags": [
10 "REDUCE_ONLY"
11 ],
12 "id": "123456",
13 "instruction": "GTC",
14 "last_updated_at": 1681493746016,
15 "market": "BTC-USD-PERP",
16 "price": "26000",
17 "published_at": 1681493746016,
18 "received_at": 1681493746016,
19 "remaining_size": "0",
20 "request_info": {
21 "id": "string",
22 "message": "string",
23 "request_type": "string",
24 "status": "string"
25 },
26 "seq_no": 1681471234972000000,
27 "side": "BUY",
28 "size": "0.05",
29 "status": "NEW",
30 "stp": "EXPIRE_MAKER",
31 "timestamp": 1681493746016,
32 "trigger_price": "26000",
33 "type": "MARKET"
34 }
35 ]
36}
Get current user all open orders
Was this page helpful?
Previous

Create order

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

marketstringOptional

Market symbol, ex: BTC-USD-PERP

Response

OK
resultslist of objects
Array of results

Errors

400
Bad Request Error